## vfu 4.22

=== yascreen/Makefile ===
################################################################################
################### Makefile is preferred by any other make ####################
################################################################################
#
# Copyright © 2015-2020 Boian Bonev (bbonev@ipacct.com) {{{
#
# SPDX-License-Identifer: LGPL-3.0-or-later
#
# This file is part of yascreen - yet another screen library.
#
# yascreen is free software, released under the terms of GNU Lesser General Public License v3.0 or later
#
# }}}

$(.TARGETS):
	@if [ ! -x "`which gmake 2>/dev/null`" ]; then echo gmake is required; false; fi
	@gmake -f GNUmakefile $(.TARGETS)

=== debian/changelog ===
vfu (4.22-1) unstable; urgency=medium

  * Update to 4.22
  * Change dep on libncurses5-dev to libcurses-dev
  * Update standards to 4.6.0, no changes
  * wrap-and-sort --short-indent --wrap-always --sort-binary-packages
     --trailing-comma
  * Update homepage and d/watch
  * Add d/upstream/metadata
  * Update the license for the unused bundled pcre2 library
  * Use the system libpcre2 instead of the bundled one (Closes: #999933)

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 16 Nov 2021 23:04:12 +0000

=== debian/control ===
Source: vfu
Section: utils
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libpcre2-dev,
Rules-Requires-Root: no
Homepage: https://cade.noxrun.com/projects/vfu/
Vcs-Browser: https://github.com/bbonev/vfu-deb
Vcs-Git: https://github.com/bbonev/vfu-deb.git

Package: vfu
Architecture: any
Depends:
 bzip2,
 unzip,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Versatile text-based file-manager
 vfu is a nice file-manager using the ncurses
 library. It has many nice features:
 .
  * Fast one-key commands
  * Filename completion and wildcard expansion
  * Directory tree with sizes
  * File-type colorization
  * Archives support (TAR, TGZ, BZ2, and many more)
  * FTP support through archive-like interface
  * Internal text/hex file viewer and hex editor
  * Automount feature
  * Extensive user-defined external support/utils!

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS+=hardening=+bindnow

%:
	dh $@ --buildsystem=makefile --without=autoreconf --no-parallel

override_dh_auto_build:
	dh_auto_build -- \
		STRIP=:

override_dh_auto_install:
	install vfu/vfu debian/vfu/usr/bin
	install rx/rx_* debian/vfu/usr/libexec/vfu
	install -m644 vfu.conf debian/vfu/etc

## vfu 4.23

=== debian/changelog ===
vfu (4.23-1) unstable; urgency=medium

  * New upstream release 4.23

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 27 Feb 2022 04:17:10 +0000

## vfu 5.07

=== Makefile ===
PKG_CONFIG?=pkg-config
YASCREEN_LD?=$(shell $(PKG_CONFIG) --libs yascreen)
NCURSES_LD?=$(shell $(PKG_CONFIG) --libs ncursesw)

BINS:=vfu/vfu vfu/vfu.yas
ifeq ($(YASCREEN_LD),)
	BINS:=$(filter-out vfu/vfu.yas,$(BINS))
endif
ifeq ($(NCURSES_LD),)
	BINS:=$(filter-out vfu/vfu,$(BINS))
endif

ifeq ("$(V)","1")
Q:=
E:=@true
else
Q:=@
E:=@echo
endif

all: $(BINS)

vfu/vfu: vstring/libvstring.a vslib/libvslib.a vslib/libvscon.a
	$(E) MAKE vfu
	$(Q)$(MAKE) -C vfu vfu

vfu/vfu.yas: vstring/libvstring.a vslib/libvslib.a vslib/libvscony.a
	$(E) MAKE vfu.yas
	$(Q)$(MAKE) -C vfu vfu.yas

vstring/libvstring.a:
	$(E) MAKE libvstring.a
	$(Q)$(MAKE) -C vstring libvstring.a

vslib/libvslib.a:
	$(E) MAKE libvslib.a
	$(Q)$(MAKE) -C vslib libvslib.a

vslib/libvscon.a:
	$(E) MAKE libvscon.a
	$(Q)$(MAKE) -C vslib libvscon.a

vslib/libvscony.a:
	$(E) MAKE libvscony.a
	$(MAKE) -C vslib libvscony.a

clean: clean-vslib clean-vstring clean-vfu

clean-vslib:
	$(E) CLEAN vslib
	$(Q)$(MAKE) --no-print-directory -C vslib clean

clean-vstring:
	$(E) CLEAN vstring
	$(Q)$(MAKE) --no-print-directory -C vstring clean

clean-vfu:
	$(E) CLEAN vfu
	$(Q)$(MAKE) --no-print-directory -C vfu clean

re:
	$(Q)$(MAKE) --no-print-directory clean
	$(Q)$(MAKE) --no-print-directory -j

.PHONY: all clean clean-vfu clean-vslib clean-vstring re

=== debian/changelog ===
vfu (5.07-1) unstable; urgency=medium

  * New upstream release 5.07
    - many important bugfixes from upstream

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 12 Feb 2023 22:06:28 +0000

vfu (5.01-1) unstable; urgency=medium

  * New upstream release 5.01
    - vfu 5.x is now unicode (Closes: #1024330, #1029107)
    - fix files with special chars (Closes: #1024281)
    - fix files with spaces in archives (Closes: #1024884)
  * Update standards to 4.6.2, no changes
  * Change screen library to yascreen
  * Re-enable parallel build
  * Add missing dep on pkg-config

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 02 Feb 2023 21:57:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Boian Bonev <bbonev@ipacct.com>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
- libncurses-dev,
  libpcre2-dev,
+ libyascreen-dev (>= 1.95),
+ pkg-config,
 Rules-Requires-Root: no
 Homepage: https://cade.noxrun.com/projects/vfu/
 Vcs-Browser: https://github.com/bbonev/vfu-deb
@@ -20,7 +21,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Versatile text-based file-manager
- vfu is a nice file-manager using the ncurses
+ vfu is a nice file-manager using the yascreen
  library. It has many nice features:
  .
   * Fast one-key commands

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS+=hardening=+all

%:
	dh $@ --buildsystem=makefile --without=autoreconf

override_dh_auto_build:
	dh_auto_build -- \
		STRIP=: \
		V=1

override_dh_auto_install:
	install -DT vfu/vfu.yas debian/vfu/usr/bin/vfu
	install -DT -m644 vfu.conf debian/vfu/etc/vfu.conf
	install -Dt debian/vfu/usr/libexec/vfu rx/rx_*

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv,pgpsigurlmangle=s/(vfu-?_?[0-9.]+tar\.(gz|xz))/$1\.asc/ \
https://cade.noxrun.com/projects/vfu/ (?:.*/)?vfu-?_?([\d+\.]+|\d+).tar.(gz|xz) debian uupdate

## vfu 5.09

=== vfu/Makefile ===
# use this to disable flto optimizations:
#   make NO_FLTO=1
# and this to enable verbose mode:
#   make V=1

STRIP?=strip
PKG_CONFIG?=pkg-config

PCRE08_CC?=$(shell $(PKG_CONFIG) --cflags libpcre2-8)
PCRE08_LD?=$(shell $(PKG_CONFIG) --libs libpcre2-8)
PCRE32_CC?=$(shell $(PKG_CONFIG) --cflags libpcre2-32)
PCRE32_LD?=$(shell $(PKG_CONFIG) --libs libpcre2-32)
YASCREEN_CC?=$(shell $(PKG_CONFIG) --cflags yascreen)
YASCREEN_LD?=$(shell $(PKG_CONFIG) --libs yascreen)
NCURSES_CC?=$(shell $(PKG_CONFIG) --cflags ncursesw)
NCURSES_LD?=$(shell $(PKG_CONFIG) --libs ncursesw)

BINS:=vfu vfu.yas
ifeq ($(YASCREEN_LD),)
	BINS:=$(filter-out vfu.yas,$(BINS))
endif
ifeq ($(NCURSES_LD),)
	BINS:=$(filter-out vfu,$(BINS))
endif

all: $(BINS)

SRCS:=\
	see.cpp \
	vfu.cpp \
	vfuarc.cpp \
	vfucopy.cpp \
	vfudir.cpp \
	vfufiles.cpp \
	vfumenu.cpp \
	vfuopt.cpp \
	vfusys.cpp \
	vfutools.cpp \
	vfuuti.cpp \
	vfuview.cpp
OBJS:=$(SRCS:.cpp=.o)
DEPS:=$(OBJS:.o=.d) $(OBJS:.o=.y.d)

ifndef NO_FLTO
CXXFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
CXXFLAGS+=-flto=auto
else
CXXFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
endif

CXXFLAGS+=$(CCDEF)

# some architectures do not have -mno-stackrealign
HAVESREA:=$(shell if $(CXX) -mno-stackrealign -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
# old comiplers do not have -Wdate-time
HAVEWDTI:=$(shell if $(CXX) -Wdate-time -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)

MYCXXFLAGS:=$(CPPFLAGS) $(CXXFLAGS) $(PCRE08_CC) $(PCRE32_CC) $(YASCREEN_CC) $(NCURSES_CC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIE -I. -I../vstring -I../vslib
ifeq ("$(HAVESREA)","no")
MYCXXFLAGS:=$(filter-out -mno-stackrealign,$(MYCXXFLAGS))
endif
ifeq ("$(HAVEWDTI)","no")
MYCXXFLAGS:=$(filter-out -Wdate-time,$(MYCXXFLAGS))
endif

MYLDFLAGS:=$(MYCXXFLAGS) $(LDFLAGS) -fPIE -pie
MYLIBS:=$(LIBS) $(PCRE08_LD) $(PCRE32_LD)

MYLDFLAGS+=$(LDDEF)

ifeq ("$(V)","1")
Q:=
E:=@true
else
Q:=@
E:=@echo
endif

%.o: %.cpp
	$(E) DE $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_CURSES_ -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
	$(E) CXX $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_CURSES_ -c -o $@ $<

%.y.o: %.cpp
	$(E) DE $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_YASCREEN_ -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
	$(E) CXX $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_YASCREEN_ -c -o $@ $<

VFUOBJ:=\
	see.o \
	vfu.o \
	vfuarc.o \
	vfucopy.o \
	vfudir.o \
	vfufiles.o \
	vfumenu.o \
	vfuopt.o \
	vfusys.o \
	vfutools.o \
	vfuuti.o \
	vfuview.o

VFUYOBJ:=$(VFUOBJ:.o=.y.o)

vfu: $(VFUOBJ) ../vstring/libvstring.a ../vslib/libvslib.a ../vslib/libvscon.a
	$(E) LD $@
	$(Q)$(CXX) -o $@ $(MYLDFLAGS) $(VFUOBJ) $(MYLIBS) $(NCURSES_LD) -L../vstring -lvstring -L../vslib -lvslib -L../vslib -lvscon

vfu.yas: $(VFUYOBJ) ../vstring/libvstring.a ../vslib/libvslib.a ../vslib/libvscony.a
	$(E) LD $@
	$(Q)$(CXX) -o $@ $(MYLDFLAGS) $(VFUYOBJ) $(MYLIBS) $(YASCREEN_LD) -L../vstring -lvstring -L../vslib -lvslib -L../vslib -lvscony

clean:
	$(E) CLEAN
	$(Q) rm -f *.a *.o *.d vfu vfu.yas

re:
	$(Q)$(MAKE) --no-print-directory clean
	$(Q)$(MAKE) --no-print-directory -j

-include $(DEPS)

.PHONY: all clean re

=== vslib/Makefile ===
# use this to disable flto optimizations:
#   make NO_FLTO=1
# and this to enable verbose mode:
#   make V=1

AR?=gcc-ar
STRIP?=strip
RANLIB?=ranlib
PKG_CONFIG?=pkg-config

PCRE08_CC?=$(shell $(PKG_CONFIG) --cflags libpcre2-8)
PCRE08_LD?=$(shell $(PKG_CONFIG) --libs libpcre2-8)
PCRE32_CC?=$(shell $(PKG_CONFIG) --cflags libpcre2-32)
PCRE32_LD?=$(shell $(PKG_CONFIG) --libs libpcre2-32)
YASCREEN_CC?=$(shell $(PKG_CONFIG) --cflags yascreen)
YASCREEN_LD?=$(shell $(PKG_CONFIG) --libs yascreen)
NCURSES_CC?=$(shell $(PKG_CONFIG) --cflags ncursesw)
NCURSES_LD?=$(shell $(PKG_CONFIG) --libs ncursesw)

ALIBS:=libvslib.a libvscon.a libvscony.a
ifeq ($(YASCREEN_LD),)
	ALIBS:=$(filter-out libvscony.a,$(ALIBS))
endif
ifeq ($(NCURSES_LD),)
	ALIBS:=$(filter-out libvscon.a,$(ALIBS))
endif

all: $(ALIBS) t/test

SRCS:=\
	ansiterm.cpp \
	clusters.cpp \
	conmenu.cpp \
	dlog.cpp \
	eval.cpp \
	form_in.cpp \
	getopt2.cpp \
	scroll.cpp \
	unicon.cpp \
	vscrc.cpp \
	vslib.cpp \
	vsuti.cpp \
	t/test.cpp
OBJS:=$(SRCS:.cpp=.o)
DEPS:=$(OBJS:.o=.d) $(OBJS:.o=.y.d)

ifndef NO_FLTO
CXXFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
CXXFLAGS+=-flto=auto
else
CXXFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
endif

# some architectures do not have -mno-stackrealign
HAVESREA:=$(shell if $(CXX) -mno-stackrealign -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
# old comiplers do not have -Wdate-time
HAVEWDTI:=$(shell if $(CXX) -Wdate-time -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)

MYCXXFLAGS:=$(CPPFLAGS) $(CXXFLAGS) $(PCRE08_CC) $(PCRE32_CC) $(YASCREEN_CC) $(NCURSES_CC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIE -I. -I../vstring
ifeq ("$(HAVESREA)","no")
MYCXXFLAGS:=$(filter-out -mno-stackrealign,$(MYCXXFLAGS))
endif
ifeq ("$(HAVEWDTI)","no")
MYCXXFLAGS:=$(filter-out -Wdate-time,$(MYCXXFLAGS))
endif

MYLDFLAGS:=$(MYCXXFLAGS) $(LDFLAGS) -fPIE -pie
MYLIBS:=$(LIBS) $(PCRE08_LD) $(PCRE32_LD)

ifeq ("$(V)","1")
Q:=
E:=@true
else
Q:=@
E:=@echo
endif

%.o: %.cpp
	$(E) DE $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_CURSES_ -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
	$(E) CXX $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_CURSES_ -c -o $@ $<

%.y.o: %.cpp
	$(E) DE $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_YASCREEN_ -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
	$(E) CXX $@
	$(Q)$(CXX) $(MYCXXFLAGS) -D_UNICON_USE_YASCREEN_ -c -o $@ $<

VSLIBOBJ:=\
	clusters.o \
	dlog.o \
	eval.o \
	getopt2.o \
	scroll.o \
	vslib.o \
	vsuti.o \
	vscrc.o

libvslib.a: $(VSLIBOBJ)
	$(Q)rm -f $@
	$(E) AR $@
	$(Q)$(AR) rv $@ $+
	$(E) RANLIB $@
	$(Q)$(RANLIB) $@

VSCONOBJ:=\
	conmenu.o \
	form_in.o \
	unicon.o

VSCONYOBJ:=$(VSCONOBJ:.o=.y.o)

libvscon.a: $(VSCONOBJ)
	$(Q)rm -f $@
	$(E) AR $@
	$(Q)$(AR) rv $@ $+
	$(E) RANLIB $@
	$(Q)$(RANLIB) $@

libvscony.a: $(VSCONYOBJ)
	$(Q)rm -f $@
	$(E) AR $@
	$(Q)$(AR) rv $@ $+
	$(E) RANLIB $@
	$(Q)$(RANLIB) $@

t/test: t/test.o ../vstring/libvstring.a libvslib.a
	$(E) LD $@
	$(Q)$(CXX) -o $@ $(MYLDFLAGS) $< $(MYLIBS) -L../vstring -lvstring -L. -lvslib

clean:
	$(E) CLEAN
	$(Q) rm -f *.a *.o *.d t/test t/*.o

re:
	$(Q)$(MAKE) --no-print-directory clean
	$(Q)$(MAKE) --no-print-directory -j

-include $(DEPS)

.PHONY: all clean re

=== vstring/Makefile ===
# use this to disable flto optimizations:
#   make NO_FLTO=1
# and this to enable verbose mode:
#   make V=1

AR?=gcc-ar
STRIP?=strip
RANLIB?=ranlib
PKG_CONFIG?=pkg-config

PCRE08_CC?=$(shell $(PKG_CONFIG) --cflags libpcre2-8)
PCRE08_LD?=$(shell $(PKG_CONFIG) --libs libpcre2-8)
PCRE32_CC?=$(shell $(PKG_CONFIG) --cflags libpcre2-32)
PCRE32_LD?=$(shell $(PKG_CONFIG) --libs libpcre2-32)

all: libvstring.a test wtest

SRCS:=\
	test.cpp \
	vref.cpp \
	vstring.cpp \
	vstrlib.cpp \
	vstruti.cpp \
	wstring.cpp \
	wstrlib.cpp \
	wtest.cpp
OBJS:=$(SRCS:.cpp=.o)
DEPS:=$(OBJS:.o=.d)

ifndef NO_FLTO
CXXFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
CXXFLAGS+=-flto=auto
else
CXXFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
endif

CXXFLAGS+=$(CCDEF)

# some architectures do not have -mno-stackrealign
HAVESREA:=$(shell if $(CXX) -mno-stackrealign -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
# old comiplers do not have -Wdate-time
HAVEWDTI:=$(shell if $(CXX) -Wdate-time -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)

MYCXXFLAGS:=$(CPPFLAGS) $(CXXFLAGS) $(PCRE08_CC) $(PCRE32_CC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIE
ifeq ("$(HAVESREA)","no")
MYCXXFLAGS:=$(filter-out -mno-stackrealign,$(MYCXXFLAGS))
endif
ifeq ("$(HAVEWDTI)","no")
MYCXXFLAGS:=$(filter-out -Wdate-time,$(MYCXXFLAGS))
endif

MYLDFLAGS:=$(MYCXXFLAGS) $(LDFLAGS) -fPIE -pie
MYLIBS:=$(LIBS) $(PCRE08_LD) $(PCRE32_LD)

MYLDFLAGS+=$(LDDEF)

ifeq ("$(V)","1")
Q:=
E:=@true
else
Q:=@
E:=@echo
endif

LIBOBJ:=$(filter-out test.o,$(OBJS))
LIBOBJ:=$(filter-out wtest.o,$(LIBOBJ))

%.o: %.cpp
	$(E) DE $@
	$(Q)$(CXX) $(MYCXXFLAGS) -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
	$(E) CXX $@
	$(Q)$(CXX) $(MYCXXFLAGS) -c -o $@ $<

libvstring.a: $(LIBOBJ)
	$(Q)rm -f $@
	$(E) AR $@
	$(Q)$(AR) rv $@ $+
	$(E) RANLIB $@
	$(Q)$(RANLIB) $@

test: test.o libvstring.a
	$(E) LD $@
	$(Q)$(CXX) -o $@ $(MYLDFLAGS) $< $(MYLIBS) -L. -lvstring

wtest: wtest.o libvstring.a
	$(E) LD $@
	$(Q)$(CXX) -o $@ $(MYLDFLAGS) $< $(MYLIBS) -L. -lvstring

clean:
	$(E) CLEAN
	$(Q) rm -f *.a *.o *.d test wtest

re:
	$(Q)$(MAKE) --no-print-directory clean
	$(Q)$(MAKE) --no-print-directory -j

-include $(DEPS)

.PHONY: all clean re

=== yascreen/Makefile ===
################################################################################
################### Makefile is preferred by any other make ####################
################################################################################
#
# Copyright © 2015-2023 Boian Bonev (bbonev@ipacct.com) {{{
#
# SPDX-License-Identifer: LGPL-3.0-or-later
#
# This file is part of yascreen - yet another screen library.
#
# yascreen is free software, released under the terms of GNU Lesser General Public License v3.0 or later
#
# }}}

all .DEFAULT:
	@if [ ! -x "$$(command -v gmake 2>/dev/null)" ]; then echo gmake is required; false; fi
	@gmake --no-print-directory -f GNUmakefile $@

.PHONY: all

=== debian/changelog ===
vfu (5.09-3) unstable; urgency=medium

  * Replace pkg-config with pkgconf
  * Bump standards to 4.7.2, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 28 Feb 2025 21:38:37 +0000

vfu (5.09-2) unstable; urgency=medium

  * Fix version in Breaks/Replaces

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 23 Jun 2023 22:09:32 +0000

vfu (5.09-1) unstable; urgency=medium

  * New upstream release 5.09
    - fix directory with special symbols (Closes: #1032338)
    - fix file handling with special symbols (Closes: #1032787)
    - fix crash on new dir (Closes: #1033198)
    - fix scrollbar (Closes: #1035741)
    - add new shell macros (Closes: #1032340)
    - fix clipboard (Closes: #1036187)
  * Re-enable the build of ncurses based vfu
    - both ncurses/yascreen binaries as alternatives
    - vfu arch all with all the common stuff
    - vfu-ncurses executable only
    - vfu-yascreen executable only

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 21 Jun 2023 22:47:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,75 @@
 Section: utils
 Priority: optional
 Maintainer: Boian Bonev <bbonev@ipacct.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
+ libncurses-dev,
  libpcre2-dev,
  libyascreen-dev (>= 1.95),
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Homepage: https://cade.noxrun.com/projects/vfu/
 Vcs-Browser: https://github.com/bbonev/vfu-deb
 Vcs-Git: https://github.com/bbonev/vfu-deb.git
 
 Package: vfu
-Architecture: any
+Architecture: all
 Depends:
  bzip2,
  unzip,
+ vfu-yascreen (>= ${source:Version}) | vfu-ncurses (>= ${source:Version}),
+ ${misc:Depends},
+ ${perl:Depends},
+Description: Versatile text-based file-manager (common files)
+ vfu is a nice file-manager using the ncurses or yascreen
+ libraries. It has many nice features:
+ .
+  * Fast one-key commands
+  * Filename completion and wildcard expansion
+  * Directory tree with sizes
+  * File-type colorization
+  * Archives support (TAR, TGZ, BZ2, and many more)
+  * FTP support through archive-like interface
+  * Internal text/hex file viewer and hex editor
+  * Automount feature
+  * Extensive user-defined external support/utils!
+
+Package: vfu-ncurses
+Architecture: any
+Breaks:
+ vfu (<= 5.07-1),
+Replaces:
+ vfu (<= 5.07-1),
+Depends:
+ vfu (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Versatile text-based file-manager
+Description: Versatile text-based file-manager (ncurses)
+ vfu is a nice file-manager using the ncurses
+ library. It has many nice features:
+ .
+  * Fast one-key commands
+  * Filename completion and wildcard expansion
+  * Directory tree with sizes
+  * File-type colorization
+  * Archives support (TAR, TGZ, BZ2, and many more)
+  * FTP support through archive-like interface
+  * Internal text/hex file viewer and hex editor
+  * Automount feature
+  * Extensive user-defined external support/utils!
+
+Package: vfu-yascreen
+Architecture: any
+Breaks:
+ vfu (<= 5.07-1),
+Replaces:
+ vfu (<= 5.07-1),
+Depends:
+ vfu (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Versatile text-based file-manager (yascreen)
  vfu is a nice file-manager using the yascreen
  library. It has many nice features:
  .

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 		V=1
 
 override_dh_auto_install:
-	install -DT vfu/vfu.yas debian/vfu/usr/bin/vfu
+	install -DT vfu/vfu.yas debian/vfu-yascreen/usr/bin/vfu-yascreen
+	install -DT vfu/vfu debian/vfu-ncurses/usr/bin/vfu-ncurses
 	install -DT -m644 vfu.conf debian/vfu/etc/vfu.conf
 	install -Dt debian/vfu/usr/libexec/vfu rx/rx_*
